> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/getterm-and-removeterm-delegate.md).

# GetTerm and RemoveTerm delegate

The **GetTerm** and **RemoveTerm** delegate respectively gets and removes the term that can be uniquely identified by either its ID or vocabularyId and signifier. If the term ID is given, the rest of the parameters is not taken into account. Matched/removed term is returned with the output variable.

| Field name         | Required | Description                                                                                                                  |
| ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------- |
| termId             | No       | Id of the term.                                                                                                              |
| vocabularyId       | No       | Id of the vocabulary that the term is in.                                                                                    |
| signifier          | No       | Signifier of the term.                                                                                                       |
| resultVariableName | No       | The name of the variable that the result will be set in, if not given the result will be set in the variable named "output". |

The delegate is deprecated. Replace your service task containing this delegate with a script task, for example:

* Get term:

  ```
  \<scriptTask id="scripttask1" name="Get asset" scriptFormat="groovy" activiti:autoStoreVariables="false"\>
      \<script\><![CDATA[
          import com.collibra.dgc.core.api.model.instance.Asset;
          Asset asset = assetApi.getAsset(givenAssetId);
          execution.setVariable("output", asset)
      ]]>\</script\>
  \</scriptTask\>
  ```
* Remove term:

  ```
  \<scriptTask id="scripttask1" name="Remove asset" scriptFormat="groovy" activiti:autoStoreVariables="false"\>
      \<script\><![CDATA[
          assetApi.removeAsset(givenAssetId);
      ]]>\</script\>
  \</scriptTask\>
  ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/getterm-and-removeterm-delegate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
